#!/bin/sh

# make shell script fore Wordnet shared library libwn.so or libwn.dylib

echo
case `uname` in 
	Darwin)
		echo making for Darwin Mac OSX - libwn.dylib
		gcc  -c libwn.c -I/usr/local/WordNet-3.0/include 
		gcc  libwn.o /usr/local/WordNet-3.0/lib/libWN.a -bundle -o libwn.dylib
		exit
		;;
	Linux)
		echo making for Linux - libwn.so
		gcc -m32 -c libwn.c -I/usr/local/WordNet-3.0/include
		gcc -m32 libwn.o /usr/local/WordNet-3.0/lib/libWN.a -shared -o libwn.so
		exit
		;;
	OpenBSD)
		echo making for OpenBSD - libwn.so
		gcc -c libwn.c -I/usr/local/WordNet-3.0/include 
		gcc libwn.o /usr/local/WordNet-3.0/lib/libWN.a -shared -o libwn.so
		exit
		;;
esac

echo making for general UNIX - libwn.so
gcc -c libwn.c -I/usr/local/WordNet-3.0/include 
gcc libwn.o /usr/local/WordNet-3.0/lib/libWN.a -shared -o libwn.so
exit

# eof

	
